Package com.logicaldoc.core

# Interface TransactionalObject

All Known Implementing Classes:
  `AbstractDocument`, `Document`, `Hit`, `Version`

public interface TransactionalObject
Implementations of this interface are objects that may participate into a transaction

Since:
  6.5
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`String`
`getTransactionId()`
Gets the unique ID of the transaction
`void`
`setTransactionId(String transactionId)`
Sets the transaction's identifier

## Method Details

### getTransactionId

String getTransactionId()
Gets the unique ID of the transaction

Returns:
  the identifier of the transaction

### setTransactionId

void setTransactionId(String transactionId)
Sets the transaction's identifier

Parameters:
  `transactionId` - the identifier of the transacrion